Bug Hunting Session
Bug 120906 - Option to use Header/Footer not working correctly
Summary: Option to use Header/Footer not working correctly
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.2.0
Keywords: regression
Depends on:
Blocks: Writer-Header-Footer
  Show dependency treegraph
 
Reported: 2018-10-25 11:57 UTC by Heiko Tietze
Modified: 2018-11-19 09:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-10-25 11:57:40 UTC
The current implementation does not set the default to On and changes are not stored. See also bug 118621 comment 17.
Comment 1 Commit Notification 2018-10-27 12:20:37 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=142985383f9ccc321e3fa084ce81d3d436c85c45

tdf#120906 - Option to use Header/Footer not working correctly

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 BogdanB 2018-11-19 09:22:08 UTC
Works as expected, the option is saved after reopening a new file, and that menu is ON by default. 

Verified on:
Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded